Accounts
Generate signer message
GET
https://api.firstleeward.com/v0/accounts/auth-messageGenerates a time-limited authentication message that must be signed by the end-user's wallet to prove key ownership. The signed message is required when creating an account (POST /accounts). Messages expire after 15 minutes.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Response
200Response for status 200
messagestringrequiredJSON message to be signed by the user wallet
timestampstringrequiredISO 8601 timestamp of message generation
expiresAtstringrequiredISO 8601 timestamp of message expiration
